Blame SOURCES/0053-tests-Set-optimal-blocks-to-64-for-scsi_debug-device.patch

7fd79c
From a5f1b41b0a10fc1dc64f17b677ddf14e15f8d40e Mon Sep 17 00:00:00 2001
7fd79c
From: "Brian C. Lane" <bcl@redhat.com>
7fd79c
Date: Tue, 23 Aug 2016 08:55:18 -0700
7fd79c
Subject: [PATCH 53/53] tests: Set optimal blocks to 64 for scsi_debug devices
7fd79c
7fd79c
The Linux kernel 4.5 changed the optimal blocks count from 64 to 1024
7fd79c
This causes tests using scsi_debug devices to fail because of alignment
7fd79c
issues. Set the opt_blks to 64 so that we have consistent behavior
7fd79c
across kernels.
7fd79c
7fd79c
(cherry picked from commit bd2664285e4014d2d4c80cee3e87609272e1fca9)
7fd79c
---
7fd79c
 tests/t-local.sh | 2 +-
7fd79c
 1 file changed, 1 insertion(+), 1 deletion(-)
7fd79c
7fd79c
diff --git a/tests/t-local.sh b/tests/t-local.sh
7fd79c
index a7d5226..13073d2 100644
7fd79c
--- a/tests/t-local.sh
7fd79c
+++ b/tests/t-local.sh
7fd79c
@@ -98,7 +98,7 @@ scsi_debug_setup_()
7fd79c
   # It is not trivial to determine the name of the device we're creating.
7fd79c
   # Record the names of all /sys/block/sd* devices *before* probing:
7fd79c
   touch stamp
7fd79c
-  modprobe scsi_debug "$@" || { rm -f stamp; return 1; }
7fd79c
+  modprobe scsi_debug opt_blks=64 "$@" || { rm -f stamp; return 1; }
7fd79c
   scsi_debug_modprobe_succeeded_=1
7fd79c
   test "$VERBOSE" = yes \
7fd79c
     && echo $ME_ modprobe scsi_debug succeeded 1>&2
7fd79c
-- 
7fd79c
2.7.4
7fd79c